#   File:       spMpeg-ppc.make
#   Target:     spMpeg-ppc
#   Created:    Sunday, October 8, 2000 05:02:26 PM


MAKEFILE        = spMpeg-ppc.make
# MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild    =

SpBaseDir       = ::spBase:
SpAudioDir      = ::spAudio:
SpLibDir  	= ::lib:

ObjDir          = :
Includes        =  
				  -i : 
				  -i {SpAudioDir} 
				  -i {SpBaseDir}

Sym-PPC         = -sym off

PPCCOptions     = {Includes} {Sym-PPC}  -includes unix -enum int


### Source Files ###

SrcFiles        =  
				  mpegCodec.c 
				  mpegDecode.c 
				  :xingmp3:cdct.c 
				  :xingmp3:cupl3.c 
				  :xingmp3:hwin.c 
				  :xingmp3:iup.c 
				  :xingmp3:l3init.c 
				  :xingmp3:msis.c 
				  :xingmp3:csbt.c 
				  :xingmp3:cwinm.c 
				  :xingmp3:icdct.c 
				  :xingmp3:mdctxing.c 
				  :xingmp3:uph.c 
				  :xingmp3:cup.c 
				  :xingmp3:dec8.c 
				  :xingmp3:isbt.c 
				  :xingmp3:l3dq.c 
				  :xingmp3:mhead.c 
				  :xingmp3:upsf.c 
				  :xingmp3:iwinm.c


### Object Files ###

ObjFiles-PPC    =  
				  "{ObjDir}mpegCodec.c.x" 
				  "{ObjDir}mpegDecode.c.x" 
				  "{ObjDir}cdct.c.x" 
				  "{ObjDir}cupl3.c.x" 
				  "{ObjDir}hwin.c.x" 
				  "{ObjDir}iup.c.x" 
				  "{ObjDir}l3init.c.x" 
				  "{ObjDir}msis.c.x" 
				  "{ObjDir}csbt.c.x" 
				  "{ObjDir}cwinm.c.x" 
				  "{ObjDir}icdct.c.x" 
				  "{ObjDir}mdctxing.c.x" 
				  "{ObjDir}uph.c.x" 
				  "{ObjDir}cup.c.x" 
				  "{ObjDir}dec8.c.x" 
				  "{ObjDir}isbt.c.x" 
				  "{ObjDir}l3dq.c.x" 
				  "{ObjDir}mhead.c.x" 
				  "{ObjDir}upsf.c.x" 
				  "{ObjDir}iwinm.c.x"


### Libraries ###

LibFiles-PPC    = 


### Default Rules ###

.c.x    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.x {PPCCOptions}


### Build Rules ###

spMpeg-ppc      spMpeg-ppc.o

spMpeg-ppc.o    {ObjFiles-PPC} {LibFiles-PPC} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-PPC} 
		{LibFiles-PPC} 
		{Sym-PPC} 
		-mf -d 
		-t 'XCOF' 
		-c 'MPS ' 
		-xm l; 
	Duplicate -y {Targ} {SpLibDir}



### Required Dependencies ###

"{ObjDir}mpegCodec.c.x"    mpegCodec.c
"{ObjDir}mpegDecode.c.x"    mpegDecode.c
"{ObjDir}cdct.c.x"    :xingmp3:cdct.c
"{ObjDir}cupl3.c.x"    :xingmp3:cupl3.c
"{ObjDir}hwin.c.x"    :xingmp3:hwin.c
"{ObjDir}iup.c.x"    :xingmp3:iup.c
"{ObjDir}l3init.c.x"    :xingmp3:l3init.c
"{ObjDir}msis.c.x"    :xingmp3:msis.c
"{ObjDir}csbt.c.x"    :xingmp3:csbt.c
"{ObjDir}cwinm.c.x"    :xingmp3:cwinm.c
"{ObjDir}icdct.c.x"    :xingmp3:icdct.c
"{ObjDir}mdctxing.c.x"    :xingmp3:mdctxing.c
"{ObjDir}uph.c.x"    :xingmp3:uph.c
"{ObjDir}cup.c.x"    :xingmp3:cup.c
"{ObjDir}dec8.c.x"    :xingmp3:dec8.c
"{ObjDir}isbt.c.x"    :xingmp3:isbt.c
"{ObjDir}l3dq.c.x"    :xingmp3:l3dq.c
"{ObjDir}mhead.c.x"    :xingmp3:mhead.c
"{ObjDir}upsf.c.x"    :xingmp3:upsf.c
"{ObjDir}iwinm.c.x"    :xingmp3:iwinm.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .x 
		{Includes} 
		{SrcFiles}


