LOCAL_PATH := $(call my-dir)

SP_BASE_TOP := ../../../../spBase
SP_BASE_LIB_LOCAL := ../../../../spBase/android/obj/local
SP_AUDIO_TOP := ../../../../spAudio
SP_AUDIO_LIB_LOCAL := ../../../../spAudio/android/obj/local
SP_MPEG_TOP := ../../../../spMpeg
SP_MPEG_LIB_LOCAL := ../../../android/obj/local
SP_MPEG_LAME_LIB_LOCAL := ../../../android-lame/obj/local

include $(CLEAR_VARS)

LOCAL_MODULE    := output_lame
LOCAL_SRC_FILES := ../../output_lame.c

ifeq ($(TARGET_ARCH_ABI),arm64-v8a)
LOCAL_CFLAGS += -ffast-math
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a)
LOCAL_ARM_MODE  := arm
LOCAL_ARM_NEON  := false
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a-hard)
LOCAL_ARM_MODE  := arm
LOCAL_ARM_NEON  := true
LOCAL_CFLAGS += -ffast-math
endif

SP_BASE_LIB_TOP := $(SP_BASE_LIB_LOCAL)/$(TARGET_ARCH_ABI)
SP_AUDIO_LIB_TOP := $(SP_AUDIO_LIB_LOCAL)/$(TARGET_ARCH_ABI)
SP_MPEG_LIB_TOP := $(SP_MPEG_LIB_LOCAL)/$(TARGET_ARCH_ABI)
SP_MPEG_LAME_LIB_TOP := $(SP_MPEG_LAME_LIB_LOCAL)/$(TARGET_ARCH_ABI)

LOCAL_C_INCLUDES := $(LOCAL_PATH)/$(SP_BASE_TOP) $(LOCAL_PATH)/$(SP_AUDIO_TOP) $(LOCAL_PATH)/$(SP_MPEG_TOP)
LOCAL_CFLAGS += -DANDROID -DUSE_LAME -DHAVE_PTHREAD $(LOCAL_C_INCLUDES:%=-I%)
LOCAL_LDLIBS := -L$(LOCAL_PATH)/$(SP_BASE_LIB_TOP) -L$(LOCAL_PATH)/$(SP_AUDIO_LIB_TOP) -L$(LOCAL_PATH)/$(SP_MPEG_LIB_TOP) -L$(LOCAL_PATH)/$(SP_MPEG_LAME_LIB_TOP) -L$(SYSROOT)/usr/lib -lspmpegel -lspmpeg -lspa -lspb -lmp3lame -ldl -llog -landroid

ifeq ($(TARGET_ARCH_ABI),armeabi-v7a-hard)
LOCAL_LDLIBS += -lm_hard
endif

include $(BUILD_SHARED_LIBRARY)
